import React, { Component } from 'react';
import { Flex, WingBlank, WhiteSpace, List, Radio } from 'antd-mobile';
import {api, http} from '@/utils';
import { OrderItem } from '@/common/index';
import './PayOrder.scss';

const Item = List.Item;
const Brief = Item.Brief;
const RadioItem = Radio.RadioItem;

let mockData = [
    { value: 0, label: '支付宝', icon:  'iconzhifubaox-'},
    { value: 1, label: '微信支付', icon:  'iconweixinzhifu'},
    { value: 2, label: '花呗分期', icon:  'iconhuabei'},
  ];

export default class PayOrder extends Component {
    constructor(props) {
        super(props);
        this.state = {
            money: 1000.00,
            payType: 0,
        }
    }
    onChange = (value) => {
        this.setState({
          payType: value,
        });
    };

    componentDidMount() {
        http.get(`${api.home}/m/order/preorder`).then((res) => {
            console.log(res);
            if (res.data.code !== 200) {
              return;
            }
            const { course, total_sale, user_account, user_info, discount } = res.data.data;
            // this.setState({
            //   perfect: user_info,
            //   orderList: course, 
            //   user_account,
            //   total_sale,
            //   discount,
            // });
          })
    }
    render() {
        const { money, payType } = this.state;
        return (
            <div className='pay-order'>
                <WhiteSpace size='sm'></WhiteSpace>
                <div className='order-number'>
                    <WingBlank>
                        <Flex justify='between' align='center' style={{ height: '44px' }}>
                            <span>订单号</span>
                            <span className='number'>20160815850565</span>
                        </Flex>
                    </WingBlank>
                </div>
                <WhiteSpace size='md'></WhiteSpace>
                <div className='order-number'>
                    <WingBlank>
                        <Flex justify='between' align='center' style={{ height: '44px' }}>
                            <span>支付金额</span>
                            <span className='money'>{`￥${money}`}</span>
                        </Flex>
                    </WingBlank>
                </div>

                <WhiteSpace size='md'></WhiteSpace>
                <List renderHeader={() => '支付方式'} className='pay-type-list'>
                    {mockData.map(i => (
                        <RadioItem 
                        thumb={<i className={`iconfont ${i.icon} ${payType === i.value ? 'checked' : ''}`}></i>}
                        key={i.value} 
                        checked={payType === i.value} 
                        onChange={() => this.onChange(i.value)}>
                            {i.label}
                        </RadioItem>
                    ))}
                </List>
                <div className='pay-tip'>请在24小时内完成支付，否则届时系统将关闭该订单。</div>

                <div className='pay-button'>确认支付</div>
            </div>
        )
    }
}
